import { useRef, useEffect } from 'react';
export const ColorLegend = () => {
  const ref = useRef();

  <svg id="my_dataviz2" height="485" width="450"></svg>

  useEffect(() => {
    var Svg = d3.select('#my_dataviz2');

  var tracks = [
    'Atlanta Motor Speedway',
    'Bristol Motor Speedway',
    'California Speedway ',
    'Chicagoland Speedway ',
    'Darlington Raceway ',
    'Daytona International Speedway',
    'Dover International Speedway',
    'Homestead-Miami Speedway ',
    'Indianapolis Motor Speedway',
    'Infineon Raceway ',
    'Kansas Speedway ',
    'Las Vegas Motor',
    "Lowe's Motor Speedway",
    'Martinsville Speedway ',
    'Michigan International Speedway',
    'Nashville Speedway ',
    'New Hampshire International',
    'North Carolina Speedway',
    'North Wilkesboro Speedway',
    'Ontario Motor Speedway',
    'Phoenix International Raceway',
    'Pocono Raceway ',
    'Richmond International Raceway',
    'Riverside International Raceway',
    'Talladega Superspeedway ',
    'Texas Motor Speedway',
    'Watkins Glen International',
  ];

  var colors = [
    '#b03060',
    '#808000',
    '#8b0000',
    '#ff0000',
    '#ffa500',
    '#2e8b57',
    '#00fa9a',
    '#b03060',
    '#191970',
    '#2f4f4f',
    '#ffa500',
    '#808000',
    '#00ffff',
    '#ffff00',
    '#00bfff',
    '#7cfc00',
    '#2e8b57',
    '#8b0000',
    '#ff0000',
    '#f0e68c',
    '#ffa07a',
    '#ff00ff',
    '#191970',
    '#2f4f4f',
    '#0000cd',
    '#dda0dd',
    '#7b68ee',
  ];

  var color = d3
    .scaleOrdinal()
    .domain(tracks)
    .range(colors);

  Svg.append('rect')
    .attr('x', 80)
    .attr('y', 15)
    .attr('width', 225)
    .attr('height', 470)
    .attr('fill', 'white')
    .attr('stroke', 'black');

  Svg.selectAll('mydots')
    .data(tracks)
    .enter()
    .append('circle')
    .attr('cx', 100)
    .attr('cy', function (d, i) {
      return 30 + i * 17;
    })

    .attr('r', 6)
    .style('fill', function (d) {
      return color(d);
    });

  Svg.selectAll('mylabels')
    .data(tracks)
    .enter()
    .append('text')
    .style('font-size', '13px')
    .attr('x', 120)
    .attr('y', function (d, i) {
      return 30 + i * 17;
    })

    .style('fill', 'black')
    .text(function (d) {
      return d;
    })
    .attr('text-anchor', 'left')
    .style('alignment-baseline', 'middle');

  ref.current
  }, []);
  
  return <div className="color-legend" ref={ref} />;
};
