import vl from 'vega-lite-api';

export const viz = vl
  .markBar({ size: 10, opacity: 1 })
  .encode(
    vl.x().fieldN('Driver').sort('Starts'),
    vl.y().fieldQ('Starts'),
    vl
      .color()
      .fieldN('Track')
      .scale({
        domain: [
          'Atlanta Motor Speedway',
          'Bristol Motor Speedway',
          'California Speedway ',
          'Darlington Raceway ',
          'Daytona International Speedway',
          'Dover International Speedway',
          "Lowe's Motor Speedway",
          'Martinsville Speedway ',
          'Michigan International Speedway',
          'Nashville Speedway ',
          'New Hampshire International',
          'North Carolina Speedway',
          'North Wilkesboro Speedway',
          'Phoenix International Raceway',
          'Pocono Raceway ',
          'Richmond International Raceway',
          'Riverside International Raceway',
          'Talladega Superspeedway ',
          'Texas Motor Speedway',
          'Watkins Glen International',
        ],

        range: [
          '#b03060',
          '#808000',
          '#8b0000',
          '#ffa500',
          '#2e8b57',
          '#00fa9a',
          '#00ffff',
          '#ffff00',
          '#00bfff',
          '#7cfc00',
          '#2e8b57',
          '#8b0000',
          '#ff0000',
          '#ffa07a',
          '#ff00ff',
          '#191970',
          '#2f4f4f',
          '#0000cd',
          '#dda0dd',
          '#7b68ee',
        ],
      }),
    vl.tooltip([
      vl.fieldN('Driver'),
      vl.fieldN('Track'),
      vl.fieldN('Starts'),
    ])
  );

