import vl from 'vega-lite-api';

export const viz = vl
  .markBar({ size: 40, opacity: 0.9, })
  .transform(vl.filter('datum.IsInTop10 === "TRUE"'))
  .encode(
    vl.y().fieldN('Driver').sort('-x'),
    vl.x().fieldQ('Finish').title('Wins').count(),
    vl
	    .color()
      .fieldN('Track Name')
      .scale({
        domain: [
          'Atlanta Motor Speedway',
          'Bristol Motor Speedway',
          'California Speedway ',
          'Chicagoland Speedway ',
          'Darlington Raceway ',
          'Daytona International Speedway',
          'Dover International Speedway',
          'Homestead-Miami Speedway ',
          'Indianapolis Motor Speedway',
          'Infineon Raceway ',
          'Kansas Speedway ',
          'Las Vegas Motor',
          "Lowe's Motor Speedway",
          'Martinsville Speedway ',
          'Michigan International Speedway',
          'Nashville Speedway ',
          'New Hampshire International',
          'North Carolina Speedway',
          'North Wilkesboro Speedway',
          'Ontario Motor Speedway',
          'Phoenix International Raceway',
          'Pocono Raceway ',
          'Richmond International Raceway',
          'Riverside International Raceway',
          'Talladega Superspeedway ',
          'Texas Motor Speedway',
          'Watkins Glen International',
        ],

        range: [
          '#b03060',
          '#808000',
          '#8b0000',
          '#ff0000',
          '#ffa500',
          '#2e8b57',
          '#00fa9a',
          '#b03060',
          '#191970',
          '#2f4f4f',
          '#ffa500',
          '#808000',
          '#00ffff',
          '#ffff00',
          '#00bfff',
          '#7cfc00',
          '#2e8b57',
          '#8b0000',
          '#ff0000',
          '#f0e68c',
          '#ffa07a',
          '#ff00ff',
          '#191970',
          '#2f4f4f',
          '#0000cd',
          '#dda0dd',
          '#7b68ee',
        ],
      }),
    vl.tooltip([
      'Track Name',
      vl.y().fieldQ('Finish').count().title('Wins'),
    ])
  );


/**
  .transform(
    vl.filter('datum.Driver === " David Pearson"'),
    )



  const getDrivers = vl.selectPoint('select').fields('Driver')
    .init({year: 1975})
    .bind(vl.slider().min(1975).max(2003).step(1));

    .params(getDrivers)
    .transform(vl.filter(getDrivers))

*/
