import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { StackedBar } from './StackedBar/index';
import { Map } from './Map/index';
import { SimpleBars } from './SimpleBars/index';
import { ScatterPlot } from './ScatterPlot/index';
import { ColorLegend } from './ColorLegend/index';
import { CarMakerFinishes } from './CarMakerFinishes/index';

const App = () => {
  // const datasets = useData();

  // if (!datasets) {
  //   return <div>Loading...</div>;
  // }
  // const [hoveredValue, setHoveredValue] = useState(null);

  // const filteredDatasets = useMemo(
  //   () => ({
  //     filteredData1: hoveredValue
  //       ? datasets.data1.filter(
  //           (d) => d.TrackName === hoveredValue
  //         )
  //       : datasets.data1,
  //   }),
  //   [datasets, hoveredValue]
  // );

  return (
    <div className="viz-container">
      <div className="top">
        {
          //<StackedBar data={filteredDatasets.data1} />
        }
        <StackedBar />
        <Map />
        <SimpleBars />
      </div>
      <div className="bottom">
        <ScatterPlot />
        <ColorLegend />
        <CarMakerFinishes />
      </div>
    </div>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
